[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: Xen with OpenLDAP

On Tuesday 08 April 2008 19:51:08 Quanah Gibson-Mount wrote:
> In the past, using slapd under Xen has been problematic due to the issue
> here:
> <https://bugzilla.redhat.com/show_bug.cgi?id=91933>
> as reported here as well:
> <http://www.openldap.org/lists/openldap-software/200603/msg00214.html>
> I know that at least as recently as Xen 3.0.4, this was a problem.
> This was brought up on the Xen devel list, and their answer is found here:
> <http://lists.xensource.com/archives/html/xen-devel/2008-04/msg00167.html>
> Does their explanation seem to make sense?  It sounded to me like they
> weren't 100% sure of their understanding of the issue.  But it would be
> nice to be able to have something we could put in the FAQ to address this
> if this does address the problem.

On a modern distribution, OpenLDAP (and other software using NPTL) should work 
without problems. The requirements are:

-Xen 3.1 hypervisor with PAE (older versions may also work)
-Recent-enough glibc (2.4, or 2.3 with the correct patches)

IOW, RHEL5/Centos 5 should work fine. In my experience this is the case. I 
fired up OpenLDAP 2.4.7 with db4.6 (with NPTL) on a RHEL 5.1 Xen DomU (I 
don't currently have a working RHEL5 Dom0) this morning without problems, and 
in the past I have run a more complete setups on Xen Dom0s.